<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- edited with XMLSpy v2006 rel. 3 sp1 (http://www.altova.com) by Clemens Uhlenhut (Altova GmbH) -->
<!--W3C Schema generated by XMLSpy v2006 rel. 3 sp1 (http://www.altova.com)-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
	<xs:element name="batch_settings">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="batch_units"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="batch_unit">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="folder_settings"/>
				<xs:element ref="spyproject_settings"/>
				<xs:element ref="file_extensions"/>
			</xs:sequence>
			<xs:attribute name="type" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:enumeration value="validation"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:attribute>
			<xs:attribute name="validator" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:enumeration value="Saxon"/>
						<xs:enumeration value="MSXML"/>
						<xs:enumeration value="XercesC"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
	<xs:element name="batch_units">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="log_document"/>
				<xs:element ref="options"/>
				<xs:element ref="batch_unit" maxOccurs="unbounded"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="extension">
		<xs:simpleType>
			<xs:restriction base="xs:string">
				<xs:enumeration value="xml"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
	<xs:element name="file_extensions">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="extension" maxOccurs="unbounded"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="folder_settings">
		<xs:complexType>
			<xs:attribute name="folder" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:enumeration value="C:\Programme\Altova\XMLSpy2006\Examples"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:attribute>
			<xs:attribute name="subfolders" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:boolean"/>
				</xs:simpleType>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
	<xs:element name="log_document">
		<xs:complexType>
			<xs:attribute name="path" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:enumeration value="batch_log.xml"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
	<xs:element name="options">
		<xs:complexType>
			<xs:attribute name="close_logdoc" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:boolean"/>
				</xs:simpleType>
			</xs:attribute>
			<xs:attribute name="close_xmlspy" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:boolean"/>
				</xs:simpleType>
			</xs:attribute>
			<xs:attribute name="log_valid" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:boolean"/>
				</xs:simpleType>
			</xs:attribute>
			<xs:attribute name="save_logdoc" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:boolean"/>
				</xs:simpleType>
			</xs:attribute>
			<xs:attribute name="timeout" type="xs:long" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="spyproject_settings">
		<xs:complexType>
			<xs:attribute name="starting_path" type="xs:string" use="required"/>
			<xs:attribute name="subfolders" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:boolean"/>
				</xs:simpleType>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
</xs:schema>
